from OpenGL.GL import *
from OpenGL.GLUT import *
from OpenGL.GLU import *

from engine import Engine

class Animation(Engine):
    def __init__(self):
        Engine.__init__(self)
        
        self.rtri = 0.0
        self.rquad = 0.0

    def drawGLScene(self):
        # Reset The View
        glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT)
        glLoadIdentity()

	# Move Left 1.5 units and into the screen 6.0 units.
	glTranslatef(-1.5, 0.0, -6.0)

	# Draw a triangle        
        glRotatef(self.rtri, 0.0, 1.0, 0.0)      # Rotate
        
        glBegin(GL_POLYGON)                 # Start drawing a polygon
	glColor3f(1.0, 0.0, 0.0)            # Red
	glVertex3f(0.0, 1.0, 0.0)           # Top
	glColor3f(0.0, 1.0, 0.0)            # Green
	glVertex3f(1.0, -1.0, 0.0)          # Bottom Right
	glColor3f(0.0, 0.0, 1.0)            # Blue
	glVertex3f(-1.0, -1.0, 0.0)         # Bottom Left
	glEnd()                             # We are done with the polygon

        # VERY important
        glLoadIdentity()
        
	# Move Right 3.0 units.
        glTranslatef(1.5, 0.0, -6.0)

	# Draw a square (quadrilateral)
        
        glRotatef(self.rquad, 1.0, 0.0, 0.0)	    # Rotate
        glColor3f(0.3, 0.5, 1.0)            # Bluish shade
	glBegin(GL_QUADS)                   # Start drawing a 4 sided polygon
	glVertex3f(-1.0, 1.0, 0.0)          # Top Left
	glVertex3f(1.0, 1.0, 0.0)           # Top Right
	glVertex3f(1.0, -1.0, 0.0)          # Bottom Right
	glVertex3f(-1.0, -1.0, 0.0)         # Bottom Left
	glEnd()                             # We are donw with the polygon

	# Double buffer, swap
	glutSwapBuffers()

        self.rtri += 1
        self.rquad -= 1


if __name__ == "__main__":
    gl = Animation()
    gl.run()
